#### D.5.18.11 dimGradedPart

Procedure from library `sheafcoh.lib` (see sheafcoh_lib).

Usage:
  dimGradedPart(M,d); M module, d int

Assume:
  `M` is graded, and it comes assigned with an admissible degree vector as an attribute

Return:
  int

Note:
  Output is the vector space dimension of the graded part of degree d of coker(M).

Example:

    LIB "sheafcoh.lib";
    ring R=0,(x,y,z),dp;
    module M=maxideal(3);
    // assign compatible weight vector (here: 0)
    homog(M);
    ==> 1
    // compute dimension of graded pieces of R/<x,y,z>^3 :
    dimGradedPart(M,0);
    ==> 1
    dimGradedPart(M,1);
    ==> 3
    dimGradedPart(M,2);
    ==> 6
    dimGradedPart(M,3);
    ==> 0
    // shift grading:
    attrib(M,"isHomog",intvec(2));
    dimGradedPart(M,2);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.